Segmentation fault on PVRSDK 3.3 Installation [Linux]

This topic contains 9 replies, has 4 voices, and was last updated by  Joe Davis 3 years, 8 months ago.

Viewing 10 posts - 1 through 10 (of 10 total)
  • Author
    Posts
  • #31653

    gregkwaste
    Member

    I am running a Crunchbang (Debian-Based) installation on my pc and i really need the PVRTexture Tool so i decided to download and install the Linux 32bit version.

    So a couple of seconds after i run the installer , the installation terminates and i get a “Segmentation Fault” message on the console.

    I checked the windows installer on my windows installation, and works ok.

    So i guess, its either my installation related error, or its a bug with the linux installer.

    In any case is there the 3.2 version of the sdk for linux available in order to test it?

    #38557

    Sean
    Member

    Question posted in wrong forum – moving to PowerVR

    #38558

    Joe Davis
    Member

    Hi,

    The Linux install must be run with root permissions. This allows it to write the the default install directory and create file associations. We’re looking into ways to remove the root requirement in future versions of the installer, but were unable to find a suitable solution before the 3.3 SDK release.

    If you’re still experiencing problems when running the installer as root, please let me know.

    Regards,
    Joe

    #38559

    gregkwaste
    Member

    When running the installer using sudo, i still get the same error

    I tried a sudo su to make the terminal root and then tried to execute the installer using sh and i got a new error:
    ” Syntax error: “(” unexpected”

    #38560

    dgu
    Member

    under linux ,ubuntu, by my side the install goes smoothly but shortcut for application are not working anymore,it use to work before, not blocking at all but a bit annoying

    #38561

    Joe Davis
    Member

    Hi,

    Is your Linux distro 32 or 64 bit? Are you running the 32 or 64 bit installer? Potentially, a mismatch here could be causing the problem (e.g. running the 32 bit installer on a 64 bit OS without compatibility libraries installed).

    Thanks for reporting the short-cut issue David. I’ve filed this as BRN47908 in our internal bug tracker.

    Regards,
    Joe

    #38562

    gregkwaste
    Member

    I am running a 32 bit distro and i’ve tried both installers, both with the same results. I had to add the amd64 architecture for some packages i wanted to install, could that be the cause of the fault?

    #38563

    Joe Davis
    Member

    I’m not sure. I would have thought that amd64 packages wouldn’t affect the 32-bit installer running. I suspect that installing 64-bit packages to a 32-bit OS could cause some confusion though, as there’s no way for your OS to use them.

    Joe

    #38564

    gregkwaste
    Member

    Is the 3.2 version available somewhere for download? I’d like to test the previous versions as well.

    #38565

    Joe Davis
    Member

    If you contact us via a ticket in our support system (https://pvrsupport.imgtec.com/), I can discuss mechanisms for distributing the 3.2 SDK installer to you for testing.

    Thanks,
    Joe

Viewing 10 posts - 1 through 10 (of 10 total)
You must be logged in to reply to this topic.